For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create cash deposit

Create cash deposit.

Required permissions: TILL_OPERATION

post
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeCashReconciliationUidstringRequired

Reference to a store cash reconciliation

Pattern: ^[A-Za-z0-9-_]+
Body
depositNumberstringOptional
amountintegerOptional
depositedAtstring · date-timeOptional
cashDepositUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
cashDepositUidstringRequiredPattern: ^[A-Za-z0-9-_]+
depositNumberstringRequired
amountintegerRequired
depositedAtstring · date-timeRequired
post/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits
POST /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 208

{
  "depositNumber": "text",
  "amount": 1,
  "depositedAt": "2026-01-01T00:00:00.000Z",
  "denominations": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "cashDepositUid": "text"
}
201

Example response

{
  "cashDepositUid": "text",
  "depositNumber": "text",
  "amount": 1,
  "depositedAt": "2026-01-01T00:00:00.000Z",
  "denominations": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "reconciliations": [
    {
      "storeCashReconciliationUid": "text",
      "reconciliationDate": "2026-01-01",
      "depositAmount": 1,
      "status": "IN_PROGRESS"
    }
  ]
}

Last updated

Was this helpful?